org.apache.ignite.internal

## Class MarshallerContextImpl.ContinuousQueryListener

- java.lang.Object
- - org.apache.ignite.internal.MarshallerContextImpl.ContinuousQueryListener

All Implemented Interfaces:
  EventListener, javax.cache.event.CacheEntryListener<Integer,String>, javax.cache.event.CacheEntryUpdatedListener<Integer,String>

Enclosing class:
  MarshallerContextImpl

    public static class MarshallerContextImpl.ContinuousQueryListener
    extends Object
    implements javax.cache.event.CacheEntryUpdatedListener<Integer,String>

### Constructor Summary

Constructors
Constructor and Description
`MarshallerContextImpl.ContinuousQueryListener(IgniteLogger log, File workDir)`

### Method Summary

Methods
`void` `onUpdated(Iterable<javax.cache.event.CacheEntryEvent<? extends Integer,? extends String>> evts)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MarshallerContextImpl.ContinuousQueryListener

    public MarshallerContextImpl.ContinuousQueryListener(IgniteLogger log,
                                                 File workDir)

Parameters:
  `log` - Logger.
  `workDir` - Work directory.

### Method Detail

#### onUpdated

    public void onUpdated(Iterable<javax.cache.event.CacheEntryEvent<? extends Integer,? extends String>> evts)
                   throws javax.cache.event.CacheEntryListenerException

Specified by:
  `onUpdated` in interface `javax.cache.event.CacheEntryUpdatedListener<Integer,String>`
Throws:
  `javax.cache.event.CacheEntryListenerException`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.8.0
Release Date | : December 5 2016